Your message dated Fri, 15 Jun 2007 14:17:07 +0000
with message-id <[EMAIL PROTECTED]>
and subject line Bug#417522: fixed in qgis 0.8.0-4
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: qgis
Version: 0.7.4-5
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  Some background of this can be found at
http://gcc.gnu.org/PR28080

You can reproduce this problem with gcc-snapshot (20070326-1 or higher)
from unstable.

> Automatic build of qgis_0.7.4-5 on em64t by sbuild/amd64 0.53
...
>  x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -DPREFIX=\"/usr\" 
> -DPLUGINPATH=\"/usr/lib/qgis\" -DPKGDATAPATH=\"/usr/share/qgis\" 
> -I/usr/include -g -O2 -I/usr/share/qt3/include -D_REENTRANT 
> -DQT_THREAD_SUPPORT -I/usr/include/postgresql -DNO_DEBUG -I/usr/include 
> -I../widgets/projectionselector/ -g -O2 -MT libqgis_la-qgscomposition.lo -MD 
> -MP -MF .deps/libqgis_la-qgscomposition.Tpo -c qgscomposition.cpp  -fPIC 
> -DPIC -o .libs/libqgis_la-qgscomposition.o
> qgscomposition.cpp: In member function 'void 
> QgsComposition::contentsMouseMoveEvent(QMouseEvent*)':
> qgscomposition.cpp:369: error: 'abs' was not declared in this scope
> make[5]: *** [libqgis_la-qgscomposition.lo] Error 1
> make[5]: Leaving directory `/build/tbm/qgis-0.7.4/src'

--- src/qgscomposition.cpp~     2007-04-02 21:40:22.000000000 +0000
+++ src/qgscomposition.cpp      2007-04-02 21:40:28.000000000 +0000
@@ -13,6 +13,7 @@
  *   (at your option) any later version.                                   *
  *                                                                         *
  ***************************************************************************/
+#include <cstdlib>
 #include <iostream>
 
 #include <qwidget.h>
--- providers/grass/qgsgrass.cpp~       2007-04-02 22:14:42.000000000 +0000
+++ providers/grass/qgsgrass.cpp        2007-04-02 22:14:48.000000000 +0000
@@ -13,6 +13,7 @@
  *   (at your option) any later version.                                   *
  *                                                                         *
  ***************************************************************************/
+#include <cstdlib>
 #include <iostream>
 
 #include "qstring.h"
--- providers/postgres/qgspostgisbox2d.cpp~     2007-04-02 22:12:13.000000000 
+0000
+++ providers/postgres/qgspostgisbox2d.cpp      2007-04-02 22:12:19.000000000 
+0000
@@ -17,6 +17,7 @@
  ***************************************************************************/
 /* $Id: qgspostgisbox2d.cpp,v 1.1 2005/03/10 05:38:27 gsherman Exp $ */
 
+#include <cstdlib>
 #include <fstream>
 
 #include <qstring.h>
--- providers/postgres/qgspostgisbox3d.cpp~     2007-04-02 22:12:48.000000000 
+0000
+++ providers/postgres/qgspostgisbox3d.cpp      2007-04-02 22:12:56.000000000 
+0000
@@ -17,6 +17,7 @@
  ***************************************************************************/
 /* $Id: qgspostgisbox3d.cpp,v 1.1 2005/03/10 05:38:27 gsherman Exp $ */
 
+#include <cstdlib>
 #include <fstream>
 
 #include <qstring.h>
--- providers/postgres/qgspostgresextentthread.cpp~     2007-04-02 
22:13:25.000000000 +0000
+++ providers/postgres/qgspostgresextentthread.cpp      2007-04-02 
22:13:31.000000000 +0000
@@ -17,6 +17,7 @@
  ***************************************************************************/
 /* $Id: qgspostgresextentthread.cpp,v 1.1 2005/03/10 05:38:27 gsherman Exp $ */
 
+#include <cstdlib>
 #include <fstream>
 #include <qevent.h>
 #include <qapplication.h>

-- 
Martin Michlmayr
http://www.cyrius.com/


--- End Message ---
--- Begin Message ---
Source: qgis
Source-Version: 0.8.0-4

We believe that the bug you reported is fixed in the latest version of
qgis, which is due to be installed in the Debian FTP archive:

libqgis1-dev_0.8.0-4_i386.deb
  to pool/main/q/qgis/libqgis1-dev_0.8.0-4_i386.deb
libqgis1_0.8.0-4_i386.deb
  to pool/main/q/qgis/libqgis1_0.8.0-4_i386.deb
qgis-plugin-grass_0.8.0-4_i386.deb
  to pool/main/q/qgis/qgis-plugin-grass_0.8.0-4_i386.deb
qgis_0.8.0-4.diff.gz
  to pool/main/q/qgis/qgis_0.8.0-4.diff.gz
qgis_0.8.0-4.dsc
  to pool/main/q/qgis/qgis_0.8.0-4.dsc
qgis_0.8.0-4_i386.deb
  to pool/main/q/qgis/qgis_0.8.0-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [EMAIL PROTECTED],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <[EMAIL PROTECTED]> (supplier of updated qgis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [EMAIL PROTECTED])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 21 May 2007 17:28:17 +0200
Source: qgis
Binary: qgis-plugin-grass libqgis1-dev libqgis1 qgis
Architecture: source i386
Version: 0.8.0-4
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <[EMAIL PROTECTED]>
Description: 
 libqgis1   - QGIS Geographic Information System - shared library
 libqgis1-dev - QGIS Geographic Information System - development files
 qgis       - Geographic Information System (GIS)
 qgis-plugin-grass - Plugin for accessing GRASS data from QGIS
Closes: 417522 423989
Changes: 
 qgis (0.8.0-4) unstable; urgency=low
 .
   * Enabled python scripts support and changed build-dep and suggests as 
consequence.
   * Enabled WFS support.
   * Long description revised.
   * Patch gcc43-fixes updated. Thanks again Martin Michlmayr.
     (closes: #417522)
   * Now installing missing binaries: msexport, qgis_help
     (closes: #423989)
Files: 
 ab18b494adfb56d4a5c253a75eef8b28 894 science extra qgis_0.8.0-4.dsc
 bf2acee30eb9bc9230c44a55d48627b3 20461 science extra qgis_0.8.0-4.diff.gz
 757d9ecd38ff10342e42f5e491024524 6198170 science extra qgis_0.8.0-4_i386.deb
 d6b98eafbbdba6377b6f27a6cd5f9647 1405498 science extra 
libqgis1_0.8.0-4_i386.deb
 7c75e968dac2f19528a71701753f537d 15459448 science extra 
libqgis1-dev_0.8.0-4_i386.deb
 9c293d6136cf9ba5308f78bd710754cd 1208550 science extra 
qgis-plugin-grass_0.8.0-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGcprvpFNRmenyx0cRAqM6AKC45vA+jim5DU+UlBVoK+vJQ8gOugCdFnAM
Br0EX/4rfIIvNO0NdDo5Ydo=
=jp9l
-----END PGP SIGNATURE-----


--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to